# $Revision: 1.36 $, $Date: 2005/01/03 18:20:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Games
%define		pnam	Dissociate
Summary:	Games::Dissociate - a Dissociated Press algorithm and filter
Summary(pl):	Games::Dissociate - algorytm i filtr "Dissociated Press"
Name:		perl-Games-Dissociate
Version:	0.15
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fc3ecec2d47fb4d180593471f1f15f3d
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Games::Dissociate Perl module provides the function dissociate, which
implements a Dissociated Press algorithm well known to Emacs users as
"meta-x dissociate".

%description -l pl
Modu Perla Games::Dissociate udostpnia funkcj "dissociate", ktra
implementuje algorytm "Dissociated Press", dobrze znany uytkownikom
Emacsa jako "meta-x dissociate".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Games/Dissociate.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Games-Dissociate.spec,v $
Revision 1.36  2005/01/03 18:20:22  adamg
- updated to 0.15

Revision 1.35  2004/11/03 22:30:23  paladine
- formatting

Revision 1.34  2004/05/07 01:24:28  ankry
- rel. 7

Revision 1.33  2004/05/06 18:09:38  ankry
- fixed perl-devel BR

Revision 1.32  2004/04/24 23:08:40  ankry
- test added

Revision 1.31  2004/04/21 19:39:12  ankry
- summary

Revision 1.30  2004/04/21 08:59:40  ankry
- license fixes/unification

Revision 1.29  2003/09/09 10:24:36  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:08:48  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 19:36:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:39:24  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:32:39  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/11/26 00:14:00  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.20  2002/07/10 08:47:24  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:31:40  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:15:12  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:26:27  depesz
adapterized

Revision 1.14  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.12  2001/04/17 12:09:38  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/03/15 10:29:51  mis
- updated (by autoup) to 0.14

Revision 1.9  2001/01/06 15:34:24  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.8  2000/09/05 07:26:58  kloczek
- updated to 0.13.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:52  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:19  pius
- initial release
